import { HTMLChartRenderer } from './chart';
import { RendererFactory } from './renderer_factory';
import { SegmentMapRenderOptions, StyleDefaults } from './data_styles';
import { RendererOptions } from './renderer_types';
import { Renderer } from './renderer';
import { Cell, Field } from '../data_tree';
import type * as lite from 'vega-lite';
export declare class HTMLSegmentMapRenderer extends HTMLChartRenderer {
    getDataValue(data: Cell): string | number | null;
    getDataType(field: Field): 'ordinal' | 'quantitative' | 'nominal';
    getVegaLiteSpec(data: Cell): lite.TopLevelSpec;
}
export declare class SegmentMapRendererFactory extends RendererFactory<SegmentMapRenderOptions> {
    static readonly instance: SegmentMapRendererFactory;
    create(document: Document, styleDefaults: StyleDefaults, rendererOptions: RendererOptions, _field: Field, options: SegmentMapRenderOptions, timezone?: string): Renderer;
    get rendererName(): string;
}
